Subject: Does 'git config' accept the '--remove' option?

From: Kaartic Sivaraam <[email-masked]>
Date: Wed, 21 Jun 2017 23:42:18 +0530

Hello all,	

I recently noticed that when I run 'git config' with the '--remove
<non_existing_section>' I get a warning that section doesn't exist.
When I scrolled through the man page of git-config I could see any
mention about the '--remove' option. I only see that there is a '
--remove-section' option. Sample output,

> $ git config --remove test
> fatal: No such section!
> $ git config --remove-section test
> fatal: No such section!

Is this a bug (or) is the documentation stale ?

-- 

Regards,
Kaartic Sivaraam <[email-masked]>